索引器 SMT 根
索引器最新同步的 SMT 根
检索 ZCashNames 解析索引器节点的当前最新处理的 SMT 根。
端点
GET https://indexer.zcashnames.co/v1.0/getRoot
该端点不需要任何路径参数或请求正文。
代码示例
- cURL
- JavaScript
- Python
- PHP
curl -X GET https://indexer.zcashnames.co/v1.0/getRoot
const url = 'https://indexer.zcashnames.co/v1.0/getRoot';
fetch(url, {
method: 'GET'
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/getRoot"
response = requests.get(url)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/getRoot';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
响应示例
{
"response": "1c3ba6eb818b93823d635b7d6737377693796312a1abd2d3b863da5d455df128"
}